#!/bin/sh

# Get package dependencies
pub get

# Run the tests
dart --checked test/fields_test.dart

# Build the examples
pub build example

# Deploy the examples to gh-pages
git checkout gh-pages
mkdir -p examples
cd build/example/
cp -r . ../../examples
cd ../../
git add -A
git diff-index --quiet HEAD || git commit -m"auto commit from drone"
git remote set-url origin git@github.com:rmsmith/fields.git
git push origin gh-pages
